#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/install.sh - xz installation
#
# Creation   :  2009-09-13 holbru
# Last update:  $Id: postinstall-xz.sh 41017 2016-03-19 14:29:42Z hbfl $
#
# Copyright (c) 2001-2016 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

# set packages name
package_name=xz

#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
#lib_names=
#
#cd /usr/lib
#
#for LNAME in ${lib_names}
#do
#    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
#    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
#    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
#    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`
#
#    LinkDES="${LNAME}"
#    LinkSRC="${lib_name}.so.${lib_major}"
#
#    rm -f ${LinkSRC}
#    ln -sf ${LinkDES} ${LinkSRC}
#    echo "b 0644 root root ${package_name} usr/lib/${LinkSRC}" \
#          >>/etc/filelist.d/${package_name}-files.txt
#done
#----------------------------------------------------------------------------
# running ldconfig
#----------------------------------------------------------------------------
/sbin/ldconfig

# ---------------------------------------------------------------------------
# generate symlinks in /usr/bin
# ---------------------------------------------------------------------------
#file_names="xz:lzcat
#xzdiff:lzcmp
#xzdiff:lzdiff
#xzgrep:lzgrep
#xzgrep:lzegrep
#xzgrep:lzfgrep
#xzless:lzless
#xz:lzma
#xzmore:lzmore
#xz:unlzma
#xz:unxz
#xz:xzcat
#xzdiff:xzcmp
#xzgrep:xzegrep
#xzgrep:xzfgrep"

#cd /usr/bin
#_OLD_IFS=${IFS}
#IFS=':'
#
#echo "${file_names}" |
#while read line
#do
#    set -- ${line}
#    LinkDES="${1}"
#    LinkSRC="${2}"
#
#    rm -f ${LinkSRC}
#    ln -sf ${LinkDES} ${LinkSRC}
#    echo "b 0755 root root ${package_name} usr/bin/${LinkSRC}"   \
#         >>/etc/filelist.d/${package_name}-files.txt
#done
#IFS=${_OLD_IFS}


rm -f /usr/lib/liblzma.so.5.0.4
rm -f /usr/lib/liblzma.so.5.0.5
rm -f /usr/lib/liblzma.so.5.2.1

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
